Subject: Re: bug#48365: 13.0.11; Dollars in distinct comments trigger math mode highlighting in text in-between

From: JF <[email-masked]>
Date: Wed, 12 May 2021 10:04:23 +0200

Hi Tassilo

Le 12/05/2021 à 09:44, Tassilo Horn a écrit :
>> File B seems to have a problem
>> % -*- mode: latex; -*-
>> %
>> \def\foo_with_underscore{}
>> \newcommand\foo{$}%$
>> % a comment
>> A foo_bar^bar{$}
>> % a comment
>> B foo_bar^bar{$}
>> % a comment
>> C foo_bar^bar
>> $
>> %
>> %
>>
>> In case of file B, which differs only by an added %$ at end of the
>> \newcommand line, the \newcommand for example is not highlighted and
>> the B line changes colors without applying script style, see
>> screenshot
> Yeah, it appears that if math mode goes out of hands, it may also have
> effects on the fontification before.  That has been the case already
> before the latest commits.
>
> But if you just add a space before the \newcommand and delete it again
> to trigger re-fontification, it becomes fontified correctly.

Yes, confirmed regarding \newcommand, however

- C-cC-n loses againt the fontification

- the B line still does not behave as expected, it should apply math styling,
but the subscripts are still on the baseline

>    Not sure
> why that is.  I'll have a look when I find some spare time...

No urgency here... I got the feeling my real-life files are ok so, from my
egotistical point of view the matter reached a satisfactory state for me,
the fate of the rest of the world does not interest me extraordinarily,
especially in those days where one has trashed with the approval
of the majority all basic principles
of defence and preservation of liberties, paving the road for very
grave evolutions awaiting us.

Best,
Jean-François